=== debian/changelog ===
libtpl (1.5-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
  * Use automake's "foreign" option to fix FTBFS while autoreconfing.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 04 Jan 2014 23:02:11 -0500

libtpl (1.5-2) unstable; urgency=low

  * Added a pkg-config file.

 -- Kari Pahula <kaol@debian.org>  Wed, 23 Jun 2010 00:30:15 +0300

libtpl (1.5-1) unstable; urgency=low

  * Initial release (Closes: #584464)

 -- Kari Pahula <kaol@debian.org>  Thu, 03 Jun 2010 21:51:31 +0300
