=== debian/control ===
Source: libtpl
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), dh-autoreconf
Standards-Version: 3.8.4
Homepage: http://tpl.sourceforge.net/

Package: libtpl-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, libtpl0 (>= ${source:Upstream-Version}), libtpl0 (<<  ${source:Upstream-Version}+1~)
Description: efficient C serialization library - development files
 Tpl is a library for serializing C data. The data is stored in its
 natural binary form. The API is small and tries to stay "out of the
 way". Tpl can serialize many C data types, including structures.
 .
 Tpl makes a convenient file format. For example, suppose a program
 needs to store a list of user names and ids. This can be expressed
 using the format string "A(si)". If the program needs two such lists
 (say, one for regular users and one for administrators) this could be
 expressed as "A(si)A(si)". It is easy to read and write this kind of
 structured data using tpl.
 .
 Tpl can also be used as an IPC message format. It handles byte order
 issues and deframing individual messages off of a stream
 automatically.

Package: libtpl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: efficient C serialization library
 Tpl is a library for serializing C data. The data is stored in its
 natural binary form. The API is small and tries to stay "out of the
 way". Tpl can serialize many C data types, including structures.
 .
 Tpl makes a convenient file format. For example, suppose a program
 needs to store a list of user names and ids. This can be expressed
 using the format string "A(si)". If the program needs two such lists
 (say, one for regular users and one for administrators) this could be
 expressed as "A(si)A(si)". It is easy to read and write this kind of
 structured data using tpl.
 .
 Tpl can also be used as an IPC message format. It handles byte order
 issues and deframing individual messages off of a stream
 automatically.
