=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_CHANGELOGS_ALL = doc/txt/ChangeLog.txt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

clean::
	rm -rf autom4te.cache

# Add here any variable or target overrides you need.
