=== debian/changelog ===
libtpl (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (Closes: #734567)
  * Standards-Version: 3.9.5
    * Skip installing .la files.

 -- Kari Pahula <kaol@debian.org>  Sun, 16 Mar 2014 10:50:31 +0200
