=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_CHANGELOGS = doc/ChangeLog.txt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

clean::
	rm -rf autom4te.cache
